com.fasterxml.jackson.dataformat.cbor

## Enum CBORParser.Feature

- java.lang.Object
- - java.lang.Enum<CBORParser.Feature>
  - - com.fasterxml.jackson.dataformat.cbor.CBORParser.Feature

All Implemented Interfaces:
  Serializable, Comparable<CBORParser.Feature>

Enclosing class:
  CBORParser

    public static enum CBORParser.Feature
    extends Enum<CBORParser.Feature>

Enumeration that defines all togglable features for CBOR generators.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOGUS` Placeholder before any format-specific features are added.

### Method Summary

Methods
`static int` `collectDefaults()` Method that calculates bit set (flags) of all features that are enabled by default.
`boolean` `enabledByDefault()`
`int` `getMask()`
`static CBORParser.Feature` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CBORParser.Feature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOGUS

    public static final CBORParser.Feature BOGUS

Placeholder before any format-specific features are added.

### Method Detail

#### values

    public static CBORParser.Feature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CBORParser.Feature c : CBORParser.Feature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CBORParser.Feature valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### collectDefaults

    public static int collectDefaults()

Method that calculates bit set (flags) of all features that are enabled by default.

#### enabledByDefault

    public boolean enabledByDefault()

#### getMask

    public int getMask()